package com.logicbig.example;

import javax.swing.*;
import java.awt.*;
import java.util.HashMap;
import java.util.Map;

public class ExampleRenderer extends DefaultListCellRenderer {
    private Map<String, ImageIcon> iconMap = new HashMap<>();
    private Color background = new Color(0, 100, 255, 15);
    private Color defaultBackground = (Color) UIManager.get("List.background");

    public ExampleRenderer() {
        iconMap.put("Account", new ImageIcon(getClass().getResource("/images/account.png")));
        iconMap.put("Sales", new ImageIcon(getClass().getResource("/images/sales.png")));
        iconMap.put("IT", new ImageIcon(getClass().getResource("/images/it.png")));
        iconMap.put("Admin", new ImageIcon(getClass().getResource("/images/admin.png")));
    }

    @Override
    public Component getListCellRendererComponent(JList<?> list, Object value, int index,
                                                  boolean isSelected, boolean cellHasFocus) {
        super.getListCellRendererComponent(list, value, index, isSelected, cellHasFocus);
        Employee emp = (Employee) value;
        this.setText(emp.getName());
        this.setIcon(iconMap.get(emp.getDept()));
        if (!isSelected) {
            this.setBackground(index % 2 == 0 ? background : defaultBackground);
        }
        return this;
    }
}